Skip to content

Create Collection

WARNING

API description Important: name + phone + email + amount are used to identify distinct customers. Follow these notes to avoid incorrect risk-control decisions.

1.Do not hard-code name, phone, and email together

2.Use the same name + phone + email for the same customer

Endpoint

POST /cashin/mex/order/create

Request Headers

NameRequiredExampleDescription
Content-TypeYesapplication/json

Request Parameters

FieldTypeRequiredDescription
bankCodestringYesBank code — CLABE
amountnumberYesOrder amount — Up to 2 decimal places (rounded). Trailing zeros after the decimal are omitted in the pre-sign string for float amounts
notifyUrlstringYesNotification callback URL — Sandbox supports automatic callbacks: odd last digit of phone → success; even → failure
namestringYesCustomer name — More realistic values improve success rate and reduce risk-control flags
phonestringYesCustomer phone, starts with 8 — More realistic values improve success rate and reduce risk-control flags
emailstringYesCustomer email — More realistic values improve success rate and reduce risk-control flags
signstringYesSignature
appIdstringYesMerchant appId — appId assigned by the platform
mchOrderNostringYesMerchant order number
mchIdintegerYesMerchant ID
timestampintegerYesSubmission time — Unix timestamp in seconds
txChannelstringYesTransaction channel — Fixed valueTX_MEX_001
productInfostringYesProduct information

Request Example

json
{
 "mchId": 10001,
 "txChannel": "TX_MEX_001",
 "appId": "R22e9c0f1x3hycRKd9",
 "timestamp": 16624500121,
 "mchOrderNo": "order_1662450012",
 "bankCode": "CLABE",
 "amount": 50000,
 "name": "Timothy Gonzalez",
 "phone": "18688984423",
 "email": "w.gssdyohqr@chvro.cy",
 "notifyUrl": "http://wxyiwtonif.sj/vpuu",
 "productInfo": "productInfo",
 "sign": "xxxxxxxxxxxxxx"
}

Response Parameters

FieldTypeRequiredDescription
statusintegerYesStatus
msgstringYesMessage
dataobjectYesData
data.applyTimeintegerYesApplication time — Timestamp format
data.amountnumberYesActual paid amount
data.expireTimeintegerYesExpiration time — Timestamp format
data.mchOrderNostringYesMerchant order number
data.platOrderNostringYesPlatform order number
data.referencestringYesBank account number
data.linkstringYesPayment link

Response Example

json
{
 "status": 200,
 "msg": null,
 "data": {
 "link": "https://zhifulianjie.co",
 "mchOrderNo": "order_1662112944",
 "platOrderNo": "P5nosqyWAQsQZNtYa5OW",
 "applyTime": 1662112986,
 "amount": 1200,
 "reference": "706180279572315993",
 "expireTime": 1662199387
 }
}

Transafe Developer Documentation